#!/bin/sh
set -eu

read -r _oldrev SHA _refname
unset GIT_DIR

if [ "$SHA" = '0000000000000000000000000000000000000000' ]; then
	exit
fi

printf 'Upgrading post-receive hook...' >&2
git show "$SHA":aux/ci/git-post-receive.sh > hooks/post-receive
chmod +x hooks/post-receive
printf 'done.\n' >&2
